package com.hfkj.sysenum.gas;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum GasOrderAuditTypeEnum {
    type1(1, "API退款审核"),
    ;

    private Integer code;

    private String name;

    GasOrderAuditTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public static com.hfkj.sysenum.gas.GasOrderAuditTypeEnum getNameByType(Integer type) {
        for (GasOrderAuditTypeEnum ele : values()) {
            if (Objects.equals(type,ele.getCode())) {
                return ele;
            }
        }
        return null;
    }
}
